package org.gcube.accounting.messaging;

import org.gcube.accounting.datamodel.RawUsageRecord;
import org.gcube.accounting.exception.InvalidValueException;
import org.gcube.accounting.persistence.Persistence;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * This class has been created for backward compatibility.
 * Use {@link #Persistence} class instead
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 */
@Deprecated
public class ResourceAccounting {
	
	
	private static final Logger logger = LoggerFactory.getLogger(ResourceAccounting.class);
	
	@Deprecated
	protected Persistence persistence;
	
	@Deprecated
	public ResourceAccounting() {
		persistence = Persistence.getInstance();
	}
	
	@Deprecated
	public void sendAccountingMessage(RawUsageRecord message){
		try {
			persistence.account(message);
		} catch (InvalidValueException e) {
			logger.error("The Record you are going to account is not valid", e.getCause());
		}
	}
	
	
}
